package com.njcn.mapper.configuration;

import com.njcn.pojo.commons.device.DeviceDetail;
import com.njcn.pojo.excelBody.DeviceDetailExcelBody;
import org.apache.ibatis.annotations.Param;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

public interface DeviceDetailMapper extends Mapper<DeviceDetail> {
  List<DeviceDetail> getDevtype(@Param("list") List<Integer> list);
  List<DeviceDetail> getManufacturer(@Param("list") List<Integer> list);
  List<DeviceDetail> getScale(@Param("list") List<Integer> list);
  List<DeviceDetail> getDeviceDetail(@Param("status") String status, @Param("devflag") String devflag, @Param
         ("list") List<Integer> list);
  List<DeviceDetail> getDeviceDetails(@Param("status") String status, @Param("devflag") String devflag,@Param
         ("gdName")String gdName,@Param("manufacturer")String
         manufacturer, @Param("list") List<Integer> list);
  List<DeviceDetail> queryDeviceDetailById(@Param("devIndex") Long devIndex);
  DeviceDetail queryDeviceDetailByLineId(@Param("lineIndex") Long devIndex);
  List<DeviceDetail> getSelName(@Param("name") String name);
  List<DeviceDetail> getGdname(@Param("list") List<Integer> list);
  List<DeviceDetail> getManufacturers(@Param("list") List<Integer> list);
  List<DeviceDetail> getSbyc(@Param("list") List<Integer> list);
  List<DeviceDetail> getTj(@Param("list") List<Integer> list);

  List<DeviceDetail> selState(@Param("devIndex")Integer devIndex,@Param("list")List<Integer> list);
    //获取该表所有数据，提供excel导出
    List<DeviceDetailExcelBody> selectAllExcelData();
    
   /**
    * 根据监测点ID获取各级名称
    */
    DeviceDetail queryNameBylineId(Integer lineIndex);
}
